Retrieve Fixed Asset Automation
curl --request GET \
--url https://api.meetcampfire.com/coa/api/fixed-asset-automation/{id}/import requests
url = "https://api.meetcampfire.com/coa/api/fixed-asset-automation/{id}/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/coa/api/fixed-asset-automation/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"entity": 123,
"entity_name": "<string>",
"currency": "<string>",
"account": 123,
"account_name": "<string>",
"account_number": "<string>",
"amount_threshold": 0,
"asset_class": 123,
"asset_class_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"needs_review": true,
"forward_looking": true
}Core Accounting
Retrieve Fixed Asset Automation
Retrieve, update, or delete an automation rule.
GET/PUT/PATCH/DELETE /api/fixed-asset-automation/<id>/
GET
/
coa
/
api
/
fixed-asset-automation
/
{id}
/
Retrieve Fixed Asset Automation
Path Parameters
Response
200 - application/json
Serializer for automation rules
Descriptive name for this rule
Maximum string length:
255Entity this rule applies to (determines book currency)
Book currency from entity (auto-populated)
Create assets when transactions are posted to this account
Minimum transaction amount in book currency (materiality threshold)
Required range:
-1000000000000000000 < x < 1000000000000000000Asset class to use for created assets
If true, queue assets for review before creation
Only apply to transactions created after this rule